Add sharing buttons
Status: Closed Start date: 11/26/2012

Priority: Normal Due date:  

Assignee:  % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.0   

Description

The Social Media icons from http://www.iconfinder.com/search/?q=iconset%3Asocialmediaicons_v120 ought to work.

Associated revisions

Revision 492 - 08/07/2013 03:52 PM - Luke Murphey

Added sharing button. Reference #462.

Revision 492 - 08/07/2013 03:52 PM - Luke Murphey

Added sharing button. Reference #462.

Revision 481 - 08/07/2013 03:52 PM - Luke Murphey

Added sharing button. Reference #462.

Revision 514 - 08/24/2013 08:21 AM - Luke Murphey

Added the ability to share verses from selected works. If the user has highlighted text, then the highlighted text will be shared. Otherwise, the selected

verse will be shared if available. Closes #462.

Revision 514 - 08/24/2013 08:21 AM - Luke Murphey

Added the ability to share verses from selected works. If the user has highlighted text, then the highlighted text will be shared. Otherwise, the selected

verse will be shared if available. Closes #462.

Revision 502 - 08/24/2013 08:21 AM - Luke Murphey

Added the ability to share verses from selected works. If the user has highlighted text, then the highlighted text will be shared. Otherwise, the selected

verse will be shared if available. Closes #462.

History

#1 - 02/20/2013 10:30 PM - Luke Murphey

Might want to consider using the icons at http://www.cssflow.com/snippets/social-buttons/demo. Setting the padding to 4px makes them a little

smaller.

#2 - 04/05/2013 05:40 AM - Luke Murphey

- Target version changed from 1.0 to 0.9

#3 - 08/03/2013 07:10 AM - Luke Murphey

- Target version changed from 0.9 to 1.0

#4 - 08/06/2013 04:25 PM - Luke Murphey

I like ShareThis: http://sharethis.com/publishers/get-sharing-tools#sthash.ChgvMG5X.dpbs
http://www.iconfinder.com/search/?q=iconset%3Asocialmediaicons_v120
http://www.cssflow.com/snippets/social-buttons/demo
http://sharethis.com/publishers/get-sharing-tools#sthash.ChgvMG5X.dpbs


<span class='st_facebook' displayText='Facebook'></span>

<span class='st_twitter' displayText='Tweet'></span>

<span class='st_googleplus' displayText='Google +'></span>

<span class='st_pinterest' displayText='Pinterest'></span>

<span class='st_email' displayText='Email'></span>

<script type="text/javascript">var switchTo5x=true;</script>

<script type="text/javascript" src="http://w.sharethis.com/button/buttons.js"></script>

<script type="text/javascript">stLight.options({publisher: "ur-3f284294-5364-394c-bd5c-c1fced294c1", doNotHash

: false, doNotCopy: false, hashAddressBar: false});</script>

#5 - 08/07/2013 02:03 AM - Luke Murphey

Here are some plugins that do not require a service:

http://sharrre.com/#download

https://github.com/mshahbazsaleem/jsShare/wiki/jQuery-Social-Media-Share-and-Bookmark-Plugin:-jsShare

https://github.com/neilcarpenter/jquery-simple-social-sharing

http://www.jqueryscript.net/demo/List-Social-Accounts-Share-Any-Page-social/#

https://github.com/tolgaergin/social

I think I'm partial to the last one.

#6 - 08/07/2013 03:57 PM - Luke Murphey

Just need to setup the title and description of the thing being shared.

#7 - 08/08/2013 07:00 PM - Luke Murphey

Might want to consider making a share button specific to the read work page. YouVersion has something like this and it looks nice.

#8 - 08/09/2013 12:10 AM - Luke Murphey

https://developers.facebook.com/docs/reference/dialogs/feed/

https://developers.facebook.com/docs/javascript/howto/requirejs/

https://dev.twitter.com/docs/tweet-button

#9 - 08/11/2013 06:11 AM - Luke Murphey

- % Done changed from 0 to 50

#10 - 08/14/2013 07:24 AM - Luke Murphey

Facebook app ID is 226685657481279
#11 - 08/24/2013 06:23 AM - Luke Murphey

Nice icons:  * https://www.iconfinder.com/icons/104501/bird_twitter_icon#size=16  * https://www.iconfinder.com/icons/104498/facebook_icon#size=16

#12 - 08/24/2013 08:21 AM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 50 to 100

Applied in changeset r514.

#13 - 09/04/2013 04:19 AM - Luke Murphey

See http://codepen.io/mariusbalaj/pen/pIqda for a nice looking sharing button.
